Bug 1290162 - Bogus commands in the iPXE template to boot whole disk images
Bogus commands in the iPXE template to boot whole disk images
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity high
: ---
: 8.0 (Liberty)
Assigned To: Lucas Alvares Gomes
Toure Dunnon
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 14:22 EST by Lucas Alvares Gomes
Modified: 2017-04-25 05:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: openstack-ironic-common-4.2.5-3.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-25 05:32:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Boot failure (19.12 KB, image/png)
2015-12-09 14:22 EST, Lucas Alvares Gomes
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1524403 None None None Never
OpenStack gerrit 255362 None None None Never

  None (edit)
Description Lucas Alvares Gomes 2015-12-09 14:22:13 EST
Created attachment 1104089 [details]
Boot failure

Description of problem:

The Ironic iPXE template contain some bogus commands in the goto section "boot_whole_disk" which is meant to chainload the boot process to the local disk when deploying whole disk images. 

Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. Get a whole disk image (an Atomic image for example)
2. Deploy it with Ironic using iPXE without local boot

Actual results:

The image will fail to boot at the end of the deployment process (see attached file)

Expected results:

Image booting correctly

Additional info:
Comment 2 Lucas Alvares Gomes 2016-07-05 11:57:24 EDT
Patch has been merged already
Comment 3 Dmitry Tantsur 2017-04-25 05:32:09 EDT
Merged and released long ago.

Note You need to log in before you can comment on or make changes to this bug.